<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Update_TextMessage_Treated StructType
 * @subpackage Structs
 */
class Update_TextMessage_Treated extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The MessageIDs
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfLong
     */
    public $MessageIDs;
    /**
     * Constructor method for Update_TextMessage_Treated
     * @uses Update_TextMessage_Treated::setLogin()
     * @uses Update_TextMessage_Treated::setMessageIDs()
     * @param \StructType\Login $login
     * @param \ArrayType\ArrayOfLong $messageIDs
     */
    public function __construct(\StructType\Login $login = null, \ArrayType\ArrayOfLong $messageIDs = null)
    {
        $this
            ->setLogin($login)
            ->setMessageIDs($messageIDs);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Update_TextMessage_Treated
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get MessageIDs value
     * @return \ArrayType\ArrayOfLong|null
     */
    public function getMessageIDs()
    {
        return $this->MessageIDs;
    }
    /**
     * Set MessageIDs value
     * @param \ArrayType\ArrayOfLong $messageIDs
     * @return \StructType\Update_TextMessage_Treated
     */
    public function setMessageIDs(\ArrayType\ArrayOfLong $messageIDs = null)
    {
        $this->MessageIDs = $messageIDs;
        return $this;
    }
}
